## xmoto 0.6.0+repack

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7 FATAL_ERROR)
project(xmoto C CXX)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMake")

include(CheckCXXCompilerFlag)
include(CheckPrototypeDefinition)
include(CheckSymbolExists)

add_subdirectory(src)

# we set some cpack variables in src/CMakeLists.txt so include this after src/
include(cpack/cpack.cmake)
include(CPack)

add_subdirectory(bin)
add_subdirectory(extra)
#add_subdirectory(po)

=== bin/CMakeLists.txt ===
set(XMOTO_PACK "always" CACHE STRING "When to build xmoto.bin")
set_property(CACHE XMOTO_PACK PROPERTY STRINGS "manual" "always")

add_custom_command(
  OUTPUT xmoto.bin
  COMMAND xmoto --pack xmoto.bin "${CMAKE_CURRENT_SOURCE_DIR}"
  MAIN_DEPENDENCY package.lst
  COMMENT "Packing xmoto.bin"
)

if (XMOTO_PACK STREQUAL "always")
  add_custom_target(xmoto_pack ALL DEPENDS xmoto.bin)
else()
  add_custom_target(xmoto_pack DEPENDS xmoto.bin)
endif()

if(WIN32)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/xmoto.bin" DESTINATION "./")
  install(DIRECTORY Textures/Musics DESTINATION ./Textures)
  install(DIRECTORY Textures/Fonts DESTINATION ./Textures)
else()
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/xmoto.bin" DESTINATION share/xmoto)
  install(DIRECTORY Textures/Musics DESTINATION share/xmoto/Textures)
  install(DIRECTORY Textures/Fonts DESTINATION share/xmoto/Textures)
endif()

=== extra/CMakeLists.txt ===
install(FILES xmoto.desktop DESTINATION share/applications)
install(FILES xmoto.xpm DESTINATION share/pixmaps)

install(FILES xmoto_icone_x.ico DESTINATION share/xmoto)

=== src/CMakeLists.txt ===
option(STATIC_BUILD "Build a static executable" OFF)
option(USE_OPENGL "Build with OpenGL for graphics" ON)
option(USE_SDLGFX "Build with SDL for graphics" OFF)
option(USE_GETTEXT "Build with Gettext for internationalization" ON)
option(PREFER_SYSTEM_BZip2 "Prefer system BZip2" ON)
option(PREFER_SYSTEM_Lua "Prefer system Lua" ON)
option(PREFER_SYSTEM_ODE "Prefer system ODE" ON)
option(PREFER_SYSTEM_XDG "Prefer system XDG" ON)
option(ALLOW_DEV "Enable some development/debug features" OFF)

if(CMAKE_GENERATOR MATCHES "Ninja")
  message("-- Using Ninja, try to colorize")
  check_cxx_compiler_flag(-fdiagnostics-color FLAG_CXX_DIAGNOSTICS_COLOR)
  if(FLAG_CXX_DIAGNOSTICS_COLOR)
    add_compile_options("-fdiagnostics-color")
  endif()
else()
  message("-- Using " ${CMAKE_GENERATOR})
endif()

# find dependencies
find_package(BZip2)
set(USE_SYSTEM_BZip2 $<AND:$<BOOL:${PREFER_SYSTEM_BZip2}>,$<BOOL:${BZIP2_FOUND}>,$<NOT:$<BOOL:${WIN32}>>>)

find_package(CURL REQUIRED)
if(USE_GETTEXT)
  find_package(Gettext REQUIRED)
  find_package(Intl REQUIRED)
endif()
find_package(JPEG REQUIRED)

find_package(LibLZMA)
find_package(LibXml2 REQUIRED)

find_package(ODE)
set(USE_SYSTEM_ODE $<AND:$<BOOL:${PREFER_SYSTEM_ODE}>,$<BOOL:${ODE_FOUND}>>)
if(USE_OPENGL)
  find_package(OpenGL REQUIRED)
endif()
find_package(PNG REQUIRED)

find_package(Lua51)
set(USE_SYSTEM_Lua $<AND:$<BOOL:${PREFER_SYSTEM_Lua}>,$<BOOL:${LUA51_FOUND}>,$<NOT:$<BOOL:${WIN32}>>>)

# Can't disable yet
if(ON OR USE_SDLGFX)
  find_package(SDL REQUIRED)
  find_package(SDL_mixer REQUIRED)
  find_package(SDL_net REQUIRED)
  find_package(SDL_ttf REQUIRED)
endif()

find_package(SQLITE3 REQUIRED)

find_package(XDG)
set(USE_SYSTEM_XDG $<AND:$<BOOL:${PREFER_SYSTEM_XDG}>,$<BOOL:${XDG_FOUND}>>)

find_package(ZLIB REQUIRED)

# sources

add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/bzip2" bzip2)
add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/libccd" libccd)
add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/chipmunk" chipmunk)
add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/lua" lua)
add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/md5sum" md5sum)
add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/ode" ode)
add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/xdgbasedir" xdgbasedir)
add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/glad" glad)

set(common_src
  common/BuildConfig.h
  common/CRCHash.cpp
  common/CRCHash.h
  common/CameraAnimation.cpp
  common/CameraAnimation.h
  common/DBuffer.cpp
  common/DBuffer.h
  common/Image.cpp
  common/Image.h
  common/Languages.h
  common/Locales.cpp
  common/Locales.h
  common/Packager.cpp
  common/Packager.h
  common/PolyDraw.cpp
  common/PolyDraw.h
  common/Theme.cpp
  common/Theme.h
  common/VBezier.cpp
  common/VBezier.h
  common/VCommon.h
  common/VFileIO.cpp
  common/VFileIO.h
  common/VFileIO_types.h
  common/VTexture.cpp
  common/VTexture.h
  common/VXml.cpp
  common/VXml.h
  common/WWW.cpp
  common/WWW.h
  common/WWWAppInterface.h
  common/XMArgs.cpp
  common/XMArgs.h
  common/XMBuild.cpp
  common/XMBuild.h
  common/XMBuild_info.h
  common/XMSession.cpp
  common/XMSession.h
  common/XMSession_default.cpp
  common/XMSession_default.h
  common/XMotoLoadLevelsInterface.h
  common/XMotoLoadReplaysInterface.h
  common/svn_version.cpp
  common/svn_version.h
)

set(db_src
  db/xmDatabase.cpp db/xmDatabase.h
  db/xmDatabaseUpdateInterface.h
  db/xmDatabase_config.cpp
  db/xmDatabase_fixes.cpp
  db/xmDatabase_levels.cpp
  db/xmDatabase_profiles.cpp
  db/xmDatabase_replays.cpp
  db/xmDatabase_srv.cpp
  db/xmDatabase_stats.cpp
  db/xmDatabase_sync.cpp
  db/xmDatabase_themes.cpp
  db/xmDatabase_votes.cpp
  db/xmDatabase_web.cpp
)

set(drawlib_src
  drawlib/DrawLib.cpp drawlib/DrawLib.h
)
if(USE_OPENGL)
  list(APPEND drawlib_src
    drawlib/DrawLibOpenGL.cpp drawlib/DrawLibOpenGL.h
  )
endif()
if(USE_SDLGFX)
  list(APPEND drawlib_src
    drawlib/DrawLibSDLgfx.cpp drawlib/DrawLibSDLgfx.h
  )
endif()

set(gui_src
  gui/basic/GUI.cpp gui/basic/GUI.h
  gui/basic/GUIButton.cpp
  gui/basic/GUIButtonDrawn.cpp
  gui/basic/GUIConsole.cpp gui/basic/GUIConsole.h
  gui/basic/GUIEdit.cpp
  gui/basic/GUIFrame.cpp
  gui/basic/GUIList.cpp
  gui/basic/GUIStatic.cpp
  gui/basic/GUITabView.cpp

  gui/specific/GUIXMoto.cpp gui/specific/GUIXMoto.h
)

set(helpers_src
  helpers/CmdArgumentParser.cpp helpers/CmdArgumentParser.h
  helpers/Color.h
  helpers/Environment.cpp helpers/Environment.h
  helpers/FileCompression.cpp helpers/FileCompression.h
  helpers/HighPrecisionTimer.h
  helpers/Log.cpp helpers/Log.h
  helpers/MultiSingleton.h
  helpers/Random.cpp helpers/Random.h
  helpers/RenderSurface.cpp helpers/RenderSurface.h
  helpers/Singleton.h
  helpers/SwapEndian.cpp helpers/SwapEndian.h
  helpers/System.cpp helpers/System.h
  helpers/TFunctor.h
  helpers/Text.cpp helpers/Text.h
  helpers/VExcept.h
  helpers/VMath.cpp helpers/VMath.h
  helpers/iqsort.h
  helpers/utf8.cpp helpers/utf8.h
)

set(image_src
  image/tim.cpp image/tim.h
  image/tim_io_stdio.cpp
  image/tim_jpeg.cpp
  image/tim_memory_crt.cpp
  image/tim_png.cpp
)

set(net_src
  net/ActionReader.cpp net/ActionReader.h
  net/BasicStructures.h
  net/NetActions.cpp net/NetActions.h
  net/NetClient.cpp net/NetClient.h
  net/NetServer.cpp net/NetServer.h
  net/ServerRules.cpp net/ServerRules.h
  net/VirtualNetLevelsList.cpp net/VirtualNetLevelsList.h
  net/extSDL_net.cpp net/extSDL_net.h

  net/helpers/Net.cpp net/helpers/Net.h

  net/thread/ServerThread.cpp net/thread/ServerThread.h
)

set(states_src
  states/AttractMode.cpp states/AttractMode.h
  states/GameState.cpp states/GameState.h
  states/StateCheckWww.cpp states/StateCheckWww.h
  states/StateCreditsMode.cpp states/StateCreditsMode.h
  states/StateDeadJust.cpp states/StateDeadJust.h
  states/StateDeadMenu.cpp states/StateDeadMenu.h
  states/StateEditProfile.cpp states/StateEditProfile.h
  states/StateEditWebConfig.cpp states/StateEditWebConfig.h
  states/StateFinished.cpp states/StateFinished.h
  states/StateHelp.cpp states/StateHelp.h
  states/StateLevelInfoViewer.cpp states/StateLevelInfoViewer.h
  states/StateLevelPackViewer.cpp states/StateLevelPackViewer.h
  states/StateMainMenu.cpp states/StateMainMenu.h
  states/StateManager.cpp states/StateManager.h
  states/StateMenu.cpp states/StateMenu.h
  states/StateMessageBox.cpp states/StateMessageBox.h
  states/StateMessageBoxReceiver.h
  states/StateMultiUpdate.cpp states/StateMultiUpdate.h
  states/StateOptions.cpp states/StateOptions.h
  states/StatePause.cpp states/StatePause.h
  states/StatePlaying.cpp states/StatePlaying.h
  states/StatePlayingLocal.cpp states/StatePlayingLocal.h
  states/StatePlayingNet.cpp states/StatePlayingNet.h
  states/StatePreplaying.cpp states/StatePreplaying.h
  states/StatePreplayingCredits.cpp states/StatePreplayingCredits.h
  states/StatePreplayingGame.cpp states/StatePreplayingGame.h
  states/StatePreplayingNet.cpp states/StatePreplayingNet.h
  states/StatePreplayingReplay.cpp states/StatePreplayingReplay.h
  states/StateReplaying.cpp states/StateReplaying.h
  states/StateRequestKey.cpp states/StateRequestKey.h
  states/StateScene.cpp states/StateScene.h
  states/StateSendReport.cpp states/StateSendReport.h
  states/StateSendVote.cpp states/StateSendVote.h
  states/StateServerConsole.cpp states/StateServerConsole.h
  states/StateSync.cpp states/StateSync.h
  states/StateUpdate.cpp states/StateUpdate.h
  states/StateUpdateDb.cpp states/StateUpdateDb.h
  states/StateUpdateRoomsList.cpp states/StateUpdateRoomsList.h
  states/StateUpdateTheme.cpp states/StateUpdateTheme.h
  states/StateUpdateThemesList.cpp states/StateUpdateThemesList.h
  states/StateUpgradeLevels.cpp states/StateUpgradeLevels.h
  states/StateUploadAllHighscores.cpp states/StateUploadAllHighscores.h
  states/StateUploadHighscore.cpp states/StateUploadHighscore.h
  states/StateViewHighscore.cpp states/StateViewHighscore.h
  states/StateVote.cpp states/StateVote.h
  states/StateWaitServerInstructions.cpp states/StateWaitServerInstructions.h
  states/StateWaiting.cpp states/StateWaiting.h
)

set(thread_src
  thread/CheckWwwThread.cpp thread/CheckWwwThread.h
  thread/DownloadReplaysThread.cpp thread/DownloadReplaysThread.h
  thread/LevelsPacksCountUpdateThread.cpp thread/LevelsPacksCountUpdateThread.h
  thread/SendReportThread.cpp thread/SendReportThread.h
  thread/SendVoteThread.cpp thread/SendVoteThread.h
  thread/SyncThread.cpp thread/SyncThread.h
  thread/UpdateDbThread.cpp thread/UpdateDbThread.h
  thread/UpdateRoomsListThread.cpp thread/UpdateRoomsListThread.h
  thread/UpdateThemeThread.cpp thread/UpdateThemeThread.h
  thread/UpdateThemesListThread.cpp thread/UpdateThemesListThread.h
  thread/UpgradeLevelsThread.cpp thread/UpgradeLevelsThread.h
  thread/UploadAllHighscoresThread.cpp thread/UploadAllHighscoresThread.h
  thread/UploadHighscoreThread.cpp thread/UploadHighscoreThread.h
  thread/XMThread.cpp thread/XMThread.h
  thread/XMThreadStats.cpp thread/XMThreadStats.h
  thread/XMThreads.cpp thread/XMThreads.h
)

set(xmincludes_src
  include/xm_OpenGL.h
  include/xm_SDL.h
  include/xm_SDL_mixer.h
  include/xm_SDL_net.h
  include/xm_SDL_ttf.h
  include/xm_endian.h
  include/xm_hashmap.h
)

set(xmoto_src
  xmoto/BSP.cpp xmoto/BSP.h
  xmoto/Collision.cpp xmoto/Collision.h
  xmoto/Credits.cpp xmoto/Credits.h
  xmoto/GUIBestTimes.cpp
  xmoto/Game.cpp xmoto/Game.h
  xmoto/GameEvents.cpp xmoto/GameEvents.h
  xmoto/GameInit.cpp xmoto/GameText.h
  xmoto/GeomsManager.cpp xmoto/GeomsManager.h
  xmoto/Input.cpp xmoto/Input.h
  xmoto/LevelsManager.cpp xmoto/LevelsManager.h
  xmoto/LevelsText.h
  xmoto/LuaLibBase.cpp xmoto/LuaLibBase.h
  xmoto/LuaLibGame.cpp xmoto/LuaLibGame.h
  xmoto/PhysSettings.h
  xmoto/Renderer.cpp xmoto/Renderer.h
  xmoto/RendererFBO.cpp
  xmoto/Replay.cpp xmoto/Replay.h
  xmoto/ScriptDynamicObjects.cpp xmoto/ScriptDynamicObjects.h
  xmoto/SomersaultCounter.cpp xmoto/SomersaultCounter.h
  xmoto/Sound.cpp xmoto/Sound.h
  xmoto/SysMessage.cpp xmoto/SysMessage.h
  xmoto/Trainer.cpp xmoto/Trainer.h
  xmoto/Universe.cpp xmoto/Universe.h
  xmoto/UserConfig.cpp xmoto/UserConfig.h
  xmoto/VideoRecorder.cpp xmoto/VideoRecorder.h
  xmoto/VirtualLevelsList.cpp xmoto/VirtualLevelsList.h
  xmoto/XMDemo.cpp xmoto/XMDemo.h
  xmoto/XMKey.cpp xmoto/XMKey.h
  xmoto/sqlqueries.h
)

set(xmscene_src
  xmscene/BasicSceneStructs.cpp
  xmscene/BasicSceneStructs.h
  xmscene/Bike.cpp
  xmscene/Bike.h
  xmscene/BikeAnchors.cpp
  xmscene/BikeAnchors.h
  xmscene/BikeController.cpp
  xmscene/BikeController.h
  xmscene/BikeGhost.cpp
  xmscene/BikeGhost.h
  xmscene/BikeParameters.cpp
  xmscene/BikeParameters.h
  xmscene/BikePlayer.cpp
  xmscene/BikePlayer.h
  xmscene/Block.cpp
  xmscene/Block.h
  xmscene/Camera.cpp
  xmscene/Camera.h
  xmscene/ChipmunkWorld.cpp
  xmscene/ChipmunkWorld.h
  xmscene/Entity.cpp
  xmscene/Entity.h
  xmscene/GhostTrail.cpp
  xmscene/GhostTrail.h
  xmscene/Level.cpp
  xmscene/Level.h
  xmscene/PhysicsSettings.cpp
  xmscene/PhysicsSettings.h
  xmscene/Scene.cpp
  xmscene/Scene.h
  xmscene/ScriptTimer.cpp
  xmscene/ScriptTimer.h
  xmscene/Serializer.cpp
  xmscene/SkyApparence.cpp
  xmscene/SkyApparence.h
  xmscene/Zone.cpp
  xmscene/Zone.h
)

#if(STATIC_BUILD)
  #set(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
  #set(BUILD_SHARED_LIBRARIES OFF)
  #set(CMAKE_EXE_LINKER_FLAGS "-static")
#endif()

add_executable(xmoto
  ${common_src}
  ${db_src}
  ${drawlib_src}
  ${gui_src}
  ${helpers_src}
  ${image_src}
  ${include_src}
  ${net_src}
  ${states_src}
  ${thread_src}
  ${xmincludes_src}
  ${xmoto_src}
  ${xmscene_src}
  $<$<PLATFORM_ID:Windows>:${PROJECT_SOURCE_DIR}/extra/xmoto.rc>
)

target_include_directories(xmoto
  PRIVATE

  "${PROJECT_SOURCE_DIR}/src"
  "${LIBXML2_INCLUDE_DIR}"
  "$<${USE_SYSTEM_Lua}:${LUA_INCLUDE_DIR}>"
  "$<$<NOT:${USE_SYSTEM_Lua}>:${PROJECT_SOURCE_DIR}/vendor/lua/lua>"
)

target_link_libraries(xmoto PUBLIC
  $<$<PLATFORM_ID:Windows>:userenv>

  "$<${USE_SYSTEM_BZip2}:${BZIP2_LIBRARIES}>"
  "$<$<NOT:${USE_SYSTEM_BZip2}>:bzip2>"
  chipmunk
  ${CURL_LIBRARIES}

=== debian/changelog ===
xmoto (0.6.0+repack-1) unstable; urgency=medium

  * New upstream release, merging most patches.
  * Depend on fonts-dejavu-core instead of ttf-dejavu-core.
    Closes: #946057.
  * Update debian/watch to download from GitHub.
  * Exclude the Windows translation tools.
  * Switch to debhelper compatibility level 12.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Jun 2020 06:38:40 +0200

=== debian/control ===
Source: xmoto
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
           Samuel Mimram <smimram@debian.org>,
           Barry deFreese <bdefreese@debian.org>,
           Stephen Kitt <skitt@debian.org>
Section: games
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 12),
               libbz2-dev,
               libcurl4-gnutls-dev,
               libgl1-mesa-dev | libgl-dev,
               libjpeg-dev,
               liblua5.1-0-dev,
               libode-dev,
               libpng-dev,
               libsdl-mixer1.2-dev,
               libsdl-net1.2-dev,
               libsdl-ttf2.0-dev,
               libsdl1.2-dev,
               libsqlite3-dev,
               libxdg-basedir-dev,
               libxml2-dev,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/games-team/xmoto
Vcs-Git: https://salsa.debian.org/games-team/xmoto.git
Homepage: http://xmoto.tuxfamily.org/
Rules-Requires-Root: no

Package: xmoto
Architecture: any
Depends: xmoto-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: 2D motocross platform game
 X-Moto is a challenging 2D motocross platform game, where physics play
 an all important role in the gameplay. You need to control your bike to
 its limit, if you want to have a chance finishing the more difficult of
 the challenges.

Package: xmoto-data
Architecture: all
Depends: fonts-arphic-bkai00mp,
         fonts-dejavu-core,
         ${misc:Depends}
Suggests: xmoto (>= ${source:Version})
Description: 2D motocross platform game - data files
 X-Moto is a challenging 2D motocross platform game, where physics play
 an all important role in the gameplay. You need to control your bike to
 its limit, if you want to have a chance finishing the more difficult of
 the challenges.
 .
 This package contains the data files needed by xmoto.

## xmoto 0.6.1+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,5 +14,6 @@
 include(CPack)
 
 add_subdirectory(bin)
+add_subdirectory(doc)
 add_subdirectory(extra)
 #add_subdirectory(po)

=== bin/CMakeLists.txt ===
set(XMOTO_PACK "always" CACHE STRING "When to build xmoto.bin")
set_property(CACHE XMOTO_PACK PROPERTY STRINGS "manual" "always")

if(WIN32 AND CMAKE_CROSSCOMPILING)
  add_custom_command(
    OUTPUT xmoto.bin
    # setting DISPLAY=:0.0 for travis
    COMMAND ${CMAKE_COMMAND} -E env DISPLAY=:0.0 wine
            "${PROJECT_BINARY_DIR}/src/xmoto.exe"
            --pack xmoto.bin "${CMAKE_CURRENT_SOURCE_DIR}"
    MAIN_DEPENDENCY package.lst
    COMMENT "Packing xmoto.bin"
  )
else()
  add_custom_command(
    OUTPUT xmoto.bin
    COMMAND xmoto --pack xmoto.bin "${CMAKE_CURRENT_SOURCE_DIR}"
    MAIN_DEPENDENCY package.lst
    COMMENT "Packing xmoto.bin"
  )
endif()

if(XMOTO_PACK STREQUAL "always")
  add_custom_target(xmoto_pack ALL DEPENDS xmoto.bin)
else()
  add_custom_target(xmoto_pack DEPENDS xmoto.bin)
endif()

if(WIN32)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/xmoto.bin" DESTINATION "./")
  install(DIRECTORY Textures/Musics DESTINATION ./Textures)
  install(DIRECTORY Textures/Fonts DESTINATION ./Textures)
elseif(BUILD_MACOS_BUNDLE)
  install(CODE "
  set(RESOURCES_DIR_PATH
    \"\${CMAKE_INSTALL_PREFIX}/xmoto.app/Contents/Resources\")

  execute_process(COMMAND \"\${CMAKE_COMMAND}\"
    -E copy
    \"${CMAKE_CURRENT_BINARY_DIR}/xmoto.bin\"
    \"\${RESOURCES_DIR_PATH}/xmoto.bin\"
  )

  # Musics
  execute_process(COMMAND \"\${CMAKE_COMMAND}\"
    -E copy_directory
    \"${CMAKE_CURRENT_SOURCE_DIR}/Textures/Musics\"
    \"\${RESOURCES_DIR_PATH}/Textures/Musics\"
  )
  # Fonts
  execute_process(COMMAND \"\${CMAKE_COMMAND}\"
    -E copy_directory
    \"${CMAKE_CURRENT_SOURCE_DIR}/Textures/Fonts\"
    \"\${RESOURCES_DIR_PATH}/Textures/Fonts\"
  )
  ")
else()
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/xmoto.bin" DESTINATION share/xmoto)
  install(DIRECTORY Textures/Musics DESTINATION share/xmoto/Textures)
  install(DIRECTORY Textures/Fonts DESTINATION share/xmoto/Textures)
endif()

=== doc/CMakeLists.txt ===
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux|FreeBSD|Darwin" AND NOT BUILD_MACOS_BUNDLE)
  install(FILES xmoto.6 DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man6 COMPONENT doc)
endif()

=== extra/CMakeLists.txt ===
if(NOT WIN32 AND NOT BUILD_MACOS_BUNDLE)
  install(FILES xmoto.desktop DESTINATION share/applications)
  install(FILES xmoto.xpm DESTINATION share/pixmaps)
  install(FILES xmoto_icone_x.ico DESTINATION share/xmoto)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 option(PREFER_SYSTEM_ODE "Prefer system ODE" ON)
 option(PREFER_SYSTEM_XDG "Prefer system XDG" ON)
 option(ALLOW_DEV "Enable some development/debug features" OFF)
+option(BUILD_MACOS_BUNDLE "Build xmoto as a macOS Bundle" OFF)
 
 if(CMAKE_GENERATOR MATCHES "Ninja")
   message("-- Using Ninja, try to colorize")
@@ -39,8 +40,13 @@
 endif()
 find_package(PNG REQUIRED)
 
-find_package(Lua51)
+find_package(Lua)
 set(USE_SYSTEM_Lua $<AND:$<BOOL:${PREFER_SYSTEM_Lua}>,$<BOOL:${LUA51_FOUND}>,$<NOT:$<BOOL:${WIN32}>>>)
+if (NOT LUA_VERSION_STRING VERSION_LESS 5.2 AND LUA_VERSION_STRING VERSION_LESS 5.3)
+    add_definitions("-DLUA_COMPAT_ALL")
+elseif (LUA_VERSION_STRING VERSION_GREATER_EQUAL "5.3")
+    add_definitions("-DLUA_COMPAT_5_1")
+endif()
 
 # Can't disable yet
 if(ON OR USE_SDLGFX)
@@ -354,6 +360,13 @@
   xmscene/Zone.h
 )
 
+set(XMOTO_MACOS_ICON ${PROJECT_SOURCE_DIR}/extra/X-Moto.icns)
+
+set_source_files_properties(
+  ${XMOTO_MACOS_ICON} PROPERTIES
+  MACOSX_PACKAGE_LOCATION Resources
+)
+
 #if(STATIC_BUILD)
   #set(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
   #set(BUILD_SHARED_LIBRARIES OFF)
@@ -374,22 +387,3 @@
   ${xmincludes_src}
   ${xmoto_src}
   ${xmscene_src}
-  $<$<PLATFORM_ID:Windows>:${PROJECT_SOURCE_DIR}/extra/xmoto.rc>
-)
-
-target_include_directories(xmoto
-  PRIVATE
-
-  "${PROJECT_SOURCE_DIR}/src"
-  "${LIBXML2_INCLUDE_DIR}"
-  "$<${USE_SYSTEM_Lua}:${LUA_INCLUDE_DIR}>"
-  "$<$<NOT:${USE_SYSTEM_Lua}>:${PROJECT_SOURCE_DIR}/vendor/lua/lua>"
-)
-
-target_link_libraries(xmoto PUBLIC
-  $<$<PLATFORM_ID:Windows>:userenv>
-
-  "$<${USE_SYSTEM_BZip2}:${BZIP2_LIBRARIES}>"
-  "$<$<NOT:${USE_SYSTEM_BZip2}>:bzip2>"
-  chipmunk
-  ${CURL_LIBRARIES}

=== vendor/bzip2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7 FATAL_ERROR)
project(bzip2 C)

add_library(bzip2 STATIC
  bzlib.h
  bzlib_private.h

  blocksort.c
  bzlib.c
  compress.c
  crctable.c
  decompress.c
  huffman.c
  randtable.c
)
target_include_directories(bzip2
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
)

=== vendor/chipmunk/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7 FATAL_ERROR)
project(chipmunk C)

add_library(chipmunk STATIC
  chipmunk.c chipmunk.h
  cpArbiter.c cpArbiter.h
  cpArray.c cpArray.h
  cpBB.c cpBB.h
  cpBody.c cpBody.h
  cpCollision.c cpCollision.h
  cpHashSet.c cpHashSet.h
  cpJoint.c cpJoint.h
  cpPolyShape.c cpPolyShape.h
  cpShape.c cpShape.h
  cpSpace.c cpSpace.h
  cpSpaceHash.c cpSpaceHash.h
  cpVect.c cpVect.h
  prime.h
)
target_include_directories(chipmunk
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
)

=== vendor/lua/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7 FATAL_ERROR)
project(lua C)

add_library(lua STATIC
  lua/lapi.c lua/lapi.h
  lua/lauxlib.c lua/lauxlib.h
  lua/lbaselib.c
  lua/lcode.c lua/lcode.h
  lua/ldblib.c
  lua/ldebug.c lua/ldebug.h
  lua/ldo.c lua/ldo.h
  lua/ldump.c
  lua/lfunc.c lua/lfunc.h
  lua/lgc.c lua/lgc.h
  lua/linit.c
  lua/liolib.c
  lua/llex.c lua/llex.h
  lua/llimits.h
  lua/lmathlib.c
  lua/lmem.c lua/lmem.h
  lua/loadlib.c
  lua/lobject.c lua/lobject.h
  lua/lopcodes.c lua/lopcodes.h
  lua/loslib.c
  lua/lparser.c lua/lparser.h
  lua/lstate.c lua/lstate.h
  lua/lstring.c lua/lstring.h
  lua/lstrlib.c
  lua/ltable.c lua/ltable.h
  lua/ltablib.c
  lua/ltm.c lua/ltm.h
  # lua/lua.c
  # lua/luac.c
  lua/luaconf.h
  lua/lua.h
  lua/lualib.h
  lua/lundump.c lua/lundump.h
  lua/lvm.c lua/lvm.h
  lua/lzio.c lua/lzio.h
  lua/print.c
)
target_include_directories(lua
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
)

=== vendor/xdgbasedir/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7 FATAL_ERROR)
project(xdgbasedir C)

add_library(xdgbasedir STATIC
  include/basedir.h
  include/basedir_fs.h

  src/basedir.c
)

set(MS_MKDIR $<BOOL:${MSYS}>)
target_compile_definitions(xdgbasedir PUBLIC MS_MKDIR=$<BOOL:${MS_MKDIR}>)

target_include_directories(xdgbasedir
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
)

=== debian/changelog ===
xmoto (0.6.1+repack-9) unstable; urgency=medium

  [ Stephen Kitt ]
  * Make the autopkgtest abort early on errors other than ECONNREFUSED.
  * Mark xmoto-data as “Multi-Arch: foreign”.
  * Build-depend on libgl-dev only, instead of libgl1-mesa-dev.
  * Standards-Version 4.6.2, no change required.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 Feb 2023 19:12:53 +0100

xmoto (0.6.1+repack-8) unstable; urgency=medium

  * Rework the autopkgtest: set up the signal to detect if the X-Moto
    server exits during the test, and repeat the connection test for up to
    60 seconds. Thanks to Simon McVittie for the suggestions!
    Closes: #1006815.

 -- Stephen Kitt <skitt@debian.org>  Fri, 15 Apr 2022 21:33:09 +0200

xmoto (0.6.1+repack-7) unstable; urgency=medium

  * Give X-Moto more time to start in the autopkgtests.

 -- Stephen Kitt <skitt@debian.org>  Sat, 30 Oct 2021 10:12:12 +0200

xmoto (0.6.1+repack-6) unstable; urgency=medium

  * Allow the autopkgtest to build with GCC 10 (thanks John Scott!).

 -- Stephen Kitt <skitt@debian.org>  Fri, 29 Oct 2021 13:22:17 +0200

xmoto (0.6.1+repack-5) unstable; urgency=medium

  [ John Scott ]
  * Add a superficial DEP-8 test that serving an X-Moto server works.

  [ Stephen Kitt ]
  * Drop the dh_auto_configure override, it’s obsolete since the switch
    to CMake. Closes: #997398.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 25 Oct 2021 13:20:47 +0200

xmoto (0.6.1+repack-4) unstable; urgency=medium

  * Initialise static and dynamic bodies using the correct constructors.
    Closes: #983493.
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Feb 2021 18:04:03 +0100

xmoto (0.6.1+repack-3) unstable; urgency=medium

  * Team upload.
  * Fixed xmoto-data: Broken links to DejaVu fonts. DejaVus TrueType fonts have
    moved. Updated symbolic links to point to the new location. Closes: #969909.

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 09 Sep 2020 07:05:01 +0200

xmoto (0.6.1+repack-2) unstable; urgency=medium

  * Port to Chipmunk2D 7, and build using the packaged version.
    Closes: #623299.

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Jul 2020 11:12:03 +0200

xmoto (0.6.1+repack-1) unstable; urgency=medium

  * New upstream release, merging fix_segfault.patch.
  * Switch to debhelper compatibility level 13.

 -- Stephen Kitt <skitt@debian.org>  Tue, 30 Jun 2020 21:05:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Section: games
 Priority: optional
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libbz2-dev,
+               libchipmunk-dev,
                libcurl4-gnutls-dev,
-               libgl1-mesa-dev | libgl-dev,
+               libgl-dev,
                libjpeg-dev,
                liblua5.1-0-dev,
                libode-dev,
@@ -23,7 +24,7 @@
                libxdg-basedir-dev,
                libxml2-dev,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/games-team/xmoto
 Vcs-Git: https://salsa.debian.org/games-team/xmoto.git
 Homepage: http://xmoto.tuxfamily.org/
@@ -46,6 +47,7 @@
          fonts-dejavu-core,
          ${misc:Depends}
 Suggests: xmoto (>= ${source:Version})
+Multi-Arch: foreign
 Description: 2D motocross platform game - data files
  X-Moto is a challenging 2D motocross platform game, where physics play
  an all important role in the gameplay. You need to control your bike to

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## xmoto 0.6.2+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,23 @@
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMake")
 
+set(APP_NAME "X-Moto")
+set(APP_COPYRIGHT_YEAR "2023")
+
+set(APP_VERSION_MAJOR 0)
+set(APP_VERSION_MINOR 6)
+set(APP_VERSION_PATCH 2)
+
+set(APP_VERSION_STRING "\
+${APP_VERSION_MAJOR}.\
+${APP_VERSION_MINOR}.\
+${APP_VERSION_PATCH}")
+
 include(CheckCXXCompilerFlag)
 include(CheckPrototypeDefinition)
 include(CheckSymbolExists)
+
+include(CMake/mxe.cmake)
 
 add_subdirectory(src)

=== bin/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,15 @@
-set(XMOTO_PACK "always" CACHE STRING "When to build xmoto.bin")
-set_property(CACHE XMOTO_PACK PROPERTY STRINGS "manual" "always")
+set(XMOTO_PACK "native" CACHE STRING "Whether to pack xmoto.bin natively or through wine")
+set_property(CACHE XMOTO_PACK PROPERTY STRINGS "native" "wine")
 
-if(WIN32 AND CMAKE_CROSSCOMPILING)
+if(WIN32 AND CMAKE_CROSSCOMPILING AND XMOTO_PACK STREQUAL "wine")
   add_custom_command(
     OUTPUT xmoto.bin
-    # setting DISPLAY=:0.0 for travis
-    COMMAND ${CMAKE_COMMAND} -E env DISPLAY=:0.0 wine
-            "${PROJECT_BINARY_DIR}/src/xmoto.exe"
-            --pack xmoto.bin "${CMAKE_CURRENT_SOURCE_DIR}"
+    COMMAND
+      "${PROJECT_SOURCE_DIR}/tools/mxe_pack.sh"
+      "${CMAKE_BINARY_DIR}/wine-prefix" # Wine prefix directory
+      "${CMAKE_CURRENT_SOURCE_DIR}" # Input directory
+      "${CMAKE_BINARY_DIR}" # Build directory
+      "${MXE_TOOLCHAIN_PATH}" # Toolchain directory
     MAIN_DEPENDENCY package.lst
     COMMENT "Packing xmoto.bin"
   )
@@ -20,11 +22,8 @@
   )
 endif()
 
-if(XMOTO_PACK STREQUAL "always")
-  add_custom_target(xmoto_pack ALL DEPENDS xmoto.bin)
-else()
-  add_custom_target(xmoto_pack DEPENDS xmoto.bin)
-endif()
+add_custom_target(xmoto_pack ALL DEPENDS xmoto.bin)
+add_dependencies(xmoto_pack xmoto)
 
 if(WIN32)
   install(FILES "${CMAKE_CURRENT_BINARY_DIR}/xmoto.bin" DESTINATION "./")
@@ -33,7 +32,8 @@
 elseif(BUILD_MACOS_BUNDLE)
   install(CODE "
   set(RESOURCES_DIR_PATH
-    \"\${CMAKE_INSTALL_PREFIX}/xmoto.app/Contents/Resources\")
+    # CPACK_BUNDLE_NAME is set in cpack/macos.cmake
+    \"\${CMAKE_INSTALL_PREFIX}/${CPACK_BUNDLE_NAME}.app/Contents/Resources\")
 
   execute_process(COMMAND \"\${CMAKE_COMMAND}\"
     -E copy

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,9 @@
 option(STATIC_BUILD "Build a static executable" OFF)
 option(USE_OPENGL "Build with OpenGL for graphics" ON)
-option(USE_SDLGFX "Build with SDL for graphics" OFF)
+option(USE_SDLGFX "Build with SDL2 for graphics" OFF)
 option(USE_GETTEXT "Build with Gettext for internationalization" ON)
 option(PREFER_SYSTEM_BZip2 "Prefer system BZip2" ON)
 option(PREFER_SYSTEM_Lua "Prefer system Lua" ON)
-option(PREFER_SYSTEM_ODE "Prefer system ODE" ON)
 option(PREFER_SYSTEM_XDG "Prefer system XDG" ON)
 option(ALLOW_DEV "Enable some development/debug features" OFF)
 option(BUILD_MACOS_BUNDLE "Build xmoto as a macOS Bundle" OFF)
@@ -19,6 +18,10 @@
   message("-- Using " ${CMAKE_GENERATOR})
 endif()
 
+if(POLICY CMP0072)
+  cmake_policy(SET CMP0072 NEW)
+endif()
+
 # find dependencies
 find_package(BZip2)
 set(USE_SYSTEM_BZip2 $<AND:$<BOOL:${PREFER_SYSTEM_BZip2}>,$<BOOL:${BZIP2_FOUND}>,$<NOT:$<BOOL:${WIN32}>>>)
@@ -33,15 +36,13 @@
 find_package(LibLZMA)
 find_package(LibXml2 REQUIRED)
 
-find_package(ODE)
-set(USE_SYSTEM_ODE $<AND:$<BOOL:${PREFER_SYSTEM_ODE}>,$<BOOL:${ODE_FOUND}>>)
 if(USE_OPENGL)
   find_package(OpenGL REQUIRED)
 endif()
 find_package(PNG REQUIRED)
 
 find_package(Lua)
-set(USE_SYSTEM_Lua $<AND:$<BOOL:${PREFER_SYSTEM_Lua}>,$<BOOL:${LUA51_FOUND}>,$<NOT:$<BOOL:${WIN32}>>>)
+set(USE_SYSTEM_Lua $<AND:$<BOOL:${PREFER_SYSTEM_Lua}>,$<BOOL:${LUA_FOUND}>,$<NOT:$<BOOL:${WIN32}>>>)
 if (NOT LUA_VERSION_STRING VERSION_LESS 5.2 AND LUA_VERSION_STRING VERSION_LESS 5.3)
     add_definitions("-DLUA_COMPAT_ALL")
 elseif (LUA_VERSION_STRING VERSION_GREATER_EQUAL "5.3")
@@ -50,10 +51,19 @@
 
 # Can't disable yet
 if(ON OR USE_SDLGFX)
-  find_package(SDL REQUIRED)
-  find_package(SDL_mixer REQUIRED)
-  find_package(SDL_net REQUIRED)
-  find_package(SDL_ttf REQUIRED)
+  # This is a workaround required on some systems that ship a broken sdl2-config.cmake
+  find_library(SDL2_LIBRARIES NAMES SDL2 SDL2main)
+  if(NOT SDL2_LIBRARIES)
+    find_package(SDL2 REQUIRED)
+
+    if("${SDL2_LIBRARIES}" STREQUAL "")
+      set(SDL2_LIBRARIES SDL2::SDL2)
+    endif()
+  endif()
+
+  find_package(SDL2_mixer REQUIRED)
+  find_package(SDL2_net REQUIRED)
+  find_package(SDL2_ttf REQUIRED)
 endif()
 
 find_package(SQLITE3 REQUIRED)
@@ -63,7 +73,17 @@
 
 find_package(ZLIB REQUIRED)
 
-# sources
+if(APPLE)
+  find_library(COREFOUNDATION_LIBRARY CoreFoundation)
+endif()
+
+# used by xdgbasedir and xmoto
+check_prototype_definition(mkdir
+  "int mkdir(const char *_Path)"
+  "0"
+  "sys/types.h;sys/stat.h"
+  MS_MKDIR
+)
 
 add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/bzip2" bzip2)
 add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/libccd" libccd)
@@ -73,6 +93,8 @@
 add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/ode" ode)
 add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/xdgbasedir" xdgbasedir)
 add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/glad" glad)
+
+configure_file(common/XMBuildConfig.h.in common/XMBuildConfig.h)
 
 set(common_src
   common/BuildConfig.h
@@ -91,6 +113,8 @@
   common/Packager.h
   common/PolyDraw.cpp
   common/PolyDraw.h
+  common/TextEdit.cpp
+  common/TextEdit.h
   common/Theme.cpp
   common/Theme.h
   common/VBezier.cpp
@@ -110,7 +134,6 @@
   common/XMArgs.h
   common/XMBuild.cpp
   common/XMBuild.h
-  common/XMBuild_info.h
   common/XMSession.cpp
   common/XMSession.h
   common/XMSession_default.cpp
@@ -171,6 +194,7 @@
   helpers/Environment.cpp helpers/Environment.h
   helpers/FileCompression.cpp helpers/FileCompression.h
   helpers/HighPrecisionTimer.h
+  helpers/ScopedTimer.h
   helpers/Log.cpp helpers/Log.h
   helpers/MultiSingleton.h
   helpers/Random.cpp helpers/Random.h
@@ -178,8 +202,9 @@
   helpers/Singleton.h
   helpers/SwapEndian.cpp helpers/SwapEndian.h
   helpers/System.cpp helpers/System.h
+  helpers/Text.cpp helpers/Text.h
   helpers/TFunctor.h
-  helpers/Text.cpp helpers/Text.h
+  helpers/Time.cpp helpers/Time.h
   helpers/VExcept.h
   helpers/VMath.cpp helpers/VMath.h
   helpers/iqsort.h
@@ -297,7 +322,6 @@
   xmoto/GameEvents.cpp xmoto/GameEvents.h
   xmoto/GameInit.cpp xmoto/GameText.h
   xmoto/GeomsManager.cpp xmoto/GeomsManager.h
-  xmoto/Input.cpp xmoto/Input.h
   xmoto/LevelsManager.cpp xmoto/LevelsManager.h
   xmoto/LevelsText.h
   xmoto/LuaLibBase.cpp xmoto/LuaLibBase.h
@@ -316,8 +340,14 @@
   xmoto/VideoRecorder.cpp xmoto/VideoRecorder.h
   xmoto/VirtualLevelsList.cpp xmoto/VirtualLevelsList.h
   xmoto/XMDemo.cpp xmoto/XMDemo.h
-  xmoto/XMKey.cpp xmoto/XMKey.h
   xmoto/sqlqueries.h
+)
+
+set(xmoto_input_src
+  xmoto/input/Input.cpp xmoto/input/Input.h
+  xmoto/input/InputLegacy.cpp xmoto/input/InputLegacy.h
+  xmoto/input/Joystick.cpp xmoto/input/Joystick.h
+  xmoto/input/XMKey.cpp xmoto/input/XMKey.h
 )
 
 set(xmscene_src
@@ -352,38 +382,3 @@
   xmscene/Scene.cpp
   xmscene/Scene.h
   xmscene/ScriptTimer.cpp
-  xmscene/ScriptTimer.h
-  xmscene/Serializer.cpp
-  xmscene/SkyApparence.cpp
-  xmscene/SkyApparence.h
-  xmscene/Zone.cpp
-  xmscene/Zone.h
-)
-
-set(XMOTO_MACOS_ICON ${PROJECT_SOURCE_DIR}/extra/X-Moto.icns)
-
-set_source_files_properties(
-  ${XMOTO_MACOS_ICON} PROPERTIES
-  MACOSX_PACKAGE_LOCATION Resources
-)
-
-#if(STATIC_BUILD)
-  #set(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
-  #set(BUILD_SHARED_LIBRARIES OFF)
-  #set(CMAKE_EXE_LINKER_FLAGS "-static")
-#endif()
-
-add_executable(xmoto
-  ${common_src}
-  ${db_src}
-  ${drawlib_src}
-  ${gui_src}
-  ${helpers_src}
-  ${image_src}
-  ${include_src}
-  ${net_src}
-  ${states_src}
-  ${thread_src}
-  ${xmincludes_src}
-  ${xmoto_src}
-  ${xmscene_src}

=== debian/changelog ===
xmoto (0.6.2+repack-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:40:06 +1100

xmoto (0.6.2+repack-2build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:36:44 +0000

xmoto (0.6.2+repack-2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:45:47 +0000

xmoto (0.6.2+repack-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 25 Jun 2023 15:22:05 +0200

xmoto (0.6.2+repack-1) experimental; urgency=medium

  * New upstream release, switching to SDL2. Closes: #1038490.
  * Enable LZMA support.
  * Drop gcc-4.7-fixes.patch, it’s no longer necessary.
  * Upgrade to Lua 5.4.

 -- Stephen Kitt <skitt@debian.org>  Mon, 13 Mar 2023 12:59:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: xmoto
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
            Samuel Mimram <smimram@debian.org>,
            Barry deFreese <bdefreese@debian.org>,
@@ -12,14 +13,16 @@
                libchipmunk-dev,
                libcurl4-gnutls-dev,
                libgl-dev,
+               libglu1-mesa-dev | libglu-dev,
                libjpeg-dev,
-               liblua5.1-0-dev,
+               liblua5.4-dev,
+               liblzma-dev,
                libode-dev,
                libpng-dev,
-               libsdl-mixer1.2-dev,
-               libsdl-net1.2-dev,
-               libsdl-ttf2.0-dev,
-               libsdl1.2-dev,
+               libsdl2-dev,
+               libsdl2-mixer-dev,
+               libsdl2-net-dev,
+               libsdl2-ttf-dev,
                libsqlite3-dev,
                libxdg-basedir-dev,
                libxml2-dev,

=== debian/tests/control ===
Tests: start-server
Depends: @, gcc, libc-dev
Restrictions: isolation-container, superficial

## xmoto 0.6.3+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMake")
 
 set(APP_NAME "X-Moto")
-set(APP_COPYRIGHT_YEAR "2023")
+set(APP_COPYRIGHT_YEAR "2025")
 
 set(APP_VERSION_MAJOR 0)
 set(APP_VERSION_MINOR 6)
-set(APP_VERSION_PATCH 2)
+set(APP_VERSION_PATCH 3)
 
 set(APP_VERSION_STRING "\
 ${APP_VERSION_MAJOR}.\
@@ -18,6 +18,7 @@
 include(CheckCXXCompilerFlag)
 include(CheckPrototypeDefinition)
 include(CheckSymbolExists)
+include(TestBigEndian)
 
 include(CMake/mxe.cmake)

=== doc/CMakeLists.txt ===
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux|FreeBSD|Darwin" AND NOT BUILD_MACOS_BUNDLE)
  install(FILES xmoto.6 DESTINATION share/man/man6 COMPONENT doc)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,8 @@
 endif()
 
 # find dependencies
+find_package(PkgConfig)
+
 find_package(BZip2)
 set(USE_SYSTEM_BZip2 $<AND:$<BOOL:${PREFER_SYSTEM_BZip2}>,$<BOOL:${BZIP2_FOUND}>,$<NOT:$<BOOL:${WIN32}>>>)
 
@@ -39,7 +41,18 @@
 if(USE_OPENGL)
   find_package(OpenGL REQUIRED)
 endif()
-find_package(PNG REQUIRED)
+
+if(APPLE)
+  if(NOT PKG_CONFIG_FOUND)
+    message(FATAL_ERROR "pkg-config is required on macOS to find the correct libpng headers")
+  endif()
+
+  pkg_check_modules(LIBPNG libpng16 REQUIRED)
+  set(PNG_LIBRARIES "${LIBPNG_LINK_LIBRARIES}")
+  set(PNG_INCLUDE_DIRS "${LIBPNG_INCLUDE_DIRS}")
+else()
+  find_package(PNG REQUIRED)
+endif()
 
 find_package(Lua)
 set(USE_SYSTEM_Lua $<AND:$<BOOL:${PREFER_SYSTEM_Lua}>,$<BOOL:${LUA_FOUND}>,$<NOT:$<BOOL:${WIN32}>>>)
@@ -368,17 +381,3 @@
   xmscene/Block.cpp
   xmscene/Block.h
   xmscene/Camera.cpp
-  xmscene/Camera.h
-  xmscene/ChipmunkWorld.cpp
-  xmscene/ChipmunkWorld.h
-  xmscene/Entity.cpp
-  xmscene/Entity.h
-  xmscene/GhostTrail.cpp
-  xmscene/GhostTrail.h
-  xmscene/Level.cpp
-  xmscene/Level.h
-  xmscene/PhysicsSettings.cpp
-  xmscene/PhysicsSettings.h
-  xmscene/Scene.cpp
-  xmscene/Scene.h
-  xmscene/ScriptTimer.cpp

=== vendor/glad/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7 FATAL_ERROR)
project(glad C)

add_library(glad STATIC
  src/glad.c
)

target_include_directories(glad
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
)

=== vendor/libccd/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7 FATAL_ERROR)
project(libccd C)

add_library(libccd STATIC
  src/alloc.c
  src/ccd.c
  src/mpr.c
  src/polytope.c
  src/support.c
  src/vec3.c
)
target_include_directories(libccd
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
)

=== vendor/md5sum/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7 FATAL_ERROR)
project(md5sum C CXX)

add_library(md5sum STATIC
  include/md5sum/md5.h
  include/md5sum/md5file.h

  src/md5.c
  src/md5file.cpp
)
target_include_directories(md5sum
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
)

=== vendor/ode/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7 FATAL_ERROR)
project(ode CXX)

add_library(ode STATIC
  include/ode/collision.h
  include/ode/collision_space.h
  include/ode/collision_trimesh.h
  include/ode/common.h
  include/ode/compatibility.h
  include/ode/contact.h
  include/ode/error.h
  include/ode/export-dif.h
  include/ode/mass.h
  include/ode/matrix.h
  include/ode/memory.h
  include/ode/misc.h
  include/ode/objects.h
  include/ode/odeconfig.h
  include/ode/odecpp_collision.h
  include/ode/odecpp.h
  include/ode/ode.h
  include/ode/odeinit.h
  include/ode/odemath.h
  include/ode/odemath_legacy.h
  include/ode/rotation.h
  include/ode/timer.h

  src/array.cpp
  src/array.h
  src/box.cpp
  src/capsule.cpp
  src/collision_cylinder_box.cpp
  src/collision_cylinder_plane.cpp
  src/collision_cylinder_sphere.cpp
  src/collision_cylinder_trimesh.cpp
  src/collision_kernel.cpp
  src/collision_kernel.h
  src/collision_libccd.cpp
  src/collision_libccd.h
  src/collision_quadtreespace.cpp
  src/collision_sapspace.cpp
  src/collision_space.cpp
  src/collision_space_internal.h
  src/collision_std.h
  src/collision_transform.cpp
  src/collision_transform.h
  src/collision_trimesh_box.cpp
  src/collision_trimesh_ccylinder.cpp
  src/collision_trimesh_colliders.h
  src/collision_trimesh_disabled.cpp
  src/collision_trimesh_distance.cpp
  src/collision_trimesh_gimpact.cpp
  src/collision_trimesh_internal.h
  src/collision_trimesh_opcode.cpp
  src/collision_trimesh_plane.cpp
  src/collision_trimesh_ray.cpp
  src/collision_trimesh_sphere.cpp
  src/collision_trimesh_trimesh.cpp
  src/collision_trimesh_trimesh_new.cpp
  src/collision_util.cpp
  src/collision_util.h
  src/config.h
  src/config.h.origin
  src/convex.cpp
  src/cylinder.cpp
  src/error.cpp
  src/export-dif.cpp
  src/fastdot.c
  src/fastldlt.c
  src/fastlsolve.c
  src/fastltsolve.c
  src/heightfield.cpp
  src/heightfield.h

  src/joints/amotor.cpp
  src/joints/amotor.h
  src/joints/ball.cpp
  src/joints/ball.h
  src/joints/contact.cpp
  src/joints/contact.h
  src/joints/fixed.cpp
  src/joints/fixed.h
  src/joints/hinge2.cpp
  src/joints/hinge2.h
  src/joints/hinge.cpp
  src/joints/hinge.h
  src/joints/joint.cpp
  src/joints/joint.h
  src/joints/joint_internal.h
  src/joints/joints.h
  src/joints/lmotor.cpp
  src/joints/lmotor.h
  src/joints/null.cpp
  src/joints/null.h
  src/joints/piston.cpp
  src/joints/piston.h
  src/joints/plane2d.cpp
  src/joints/plane2d.h
  src/joints/pr.cpp
  src/joints/pr.h
  src/joints/pu.cpp
  src/joints/pu.h
  src/joints/slider.cpp
  src/joints/slider.h
  src/joints/universal.cpp
  src/joints/universal.h

  src/lcp.cpp
  src/lcp.h
  src/mass.cpp
  src/mat.cpp
  src/mat.h
  src/matrix.cpp
  src/memory.cpp
  src/misc.cpp
  src/nextafterf.c
  src/objects.h
  src/obstack.cpp
  src/obstack.h
  src/ode.cpp
  src/odeinit.cpp
  src/odemath.cpp
  src/odeou.cpp
  src/odeou.h
  src/odetls.cpp
  src/odetls.h
  src/plane.cpp
  src/quickstep.cpp
  src/quickstep.h
  src/ray.cpp
  src/rotation.cpp
  src/sphere.cpp
  src/step.cpp
  src/step.h
  src/timer.cpp
  src/util.cpp
  src/util.h
)
target_include_directories(ode
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
)
target_compile_definitions(ode PUBLIC dDOUBLE)

target_link_libraries(ode PUBLIC libccd)

=== vendor/xdgbasedir/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
   src/basedir.c
 )
 
-set(MS_MKDIR $<BOOL:${MSYS}>)
 target_compile_definitions(xdgbasedir PUBLIC MS_MKDIR=$<BOOL:${MS_MKDIR}>)
 
 target_include_directories(xdgbasedir

=== debian/changelog ===
xmoto (0.6.3+repack-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:23:25 +0200

xmoto (0.6.3+repack-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Apr 2025 21:08:29 +0200

xmoto (0.6.2+repack-3) unstable; urgency=medium

  * Clean up the list of uploaders. Thanks to all the previous
    maintainers!
  * Standards-Version 4.7.2, no change required.
  * Use the compiler’s default C++ standard. Closes: #1101260.

 -- Stephen Kitt <skitt@debian.org>  Tue, 25 Mar 2025 23:19:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,6 @@
 Source: xmoto
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
-           Samuel Mimram <smimram@debian.org>,
-           Barry deFreese <bdefreese@debian.org>,
-           Stephen Kitt <skitt@debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
 Build-Depends: cmake,
@@ -27,10 +23,10 @@
                libxdg-basedir-dev,
                libxml2-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/games-team/xmoto
 Vcs-Git: https://salsa.debian.org/games-team/xmoto.git
-Homepage: http://xmoto.tuxfamily.org/
+Homepage: https://xmoto.org/
 Rules-Requires-Root: no
 
 Package: xmoto
